[arch-commits] Commit in libcanberra/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jun 1 11:26:15 EDT 2009


    Date: Monday, June 1, 2009 @ 11:26:15
  Author: jgc
Revision: 40969

Merged revisions 40968 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libcanberra/trunk

........
  r40968 | jgc | 2009-06-01 15:26:00 +0000 (Mon, 01 Jun 2009) | 2 lines
  
  upgpkg: libcanberra 0.12-1
      Add script to load canberra gtkmodule by default
........

Modified:
  libcanberra/repos/extra-x86_64/	(properties)
  libcanberra/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)


Property changes on: libcanberra/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libcanberra/trunk:1-26971
   + /libcanberra/trunk:1-40968

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-06-01 15:26:00 UTC (rev 40968)
+++ extra-x86_64/PKGBUILD	2009-06-01 15:26:15 UTC (rev 40969)
@@ -2,22 +2,26 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libcanberra
-pkgver=0.11
-pkgrel=2
+pkgver=0.12
+pkgrel=1
 pkgdesc="A small and lightweight implementation of the XDG Sound Theme Specification"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('libvorbis>=1.2.1rc1' 'gstreamer0.10>=0.10.21' 'libtool>=2.2.6a' 'gtk2>=2.14.7' 'alsa-lib>=1.0.19' 'tdb>=3.2.7' 'gconf>=2.24.0')
+depends=('libvorbis>=1.2.1rc1' 'gstreamer0.10>=0.10.21' 'libtool>=2.2.6a' 'gtk2>=2.16.2' 'alsa-lib>=1.0.19' 'tdb>=3.3.4' 'gconf>=2.26.0')
 makedepends=('gtk-doc')
 install=libcanberra.install
 options=(!emptydirs)
 url=http://0pointer.de/lennart/projects/libcanberra
-source=(http://0pointer.de/lennart/projects/${pkgname}/${pkgname}-${pkgver}.tar.gz)
-md5sums=('c661db14cb0b1fe9b6963defacc3bba6')
+source=(http://0pointer.de/lennart/projects/${pkgname}/${pkgname}-${pkgver}.tar.gz
+	libcanberra-gtk-module.sh)
+md5sums=('01a1952e861defa6de9d193558f2a732')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  ./configure --sysconfdir=/etc --prefix=/usr --localstatedir=/var --disable-static --disable-rpath --enable-alsa --enable-null --with-builtin=dso || return 1
+  ./configure --sysconfdir=/etc --prefix=/usr --localstatedir=/var \
+    --disable-static --disable-rpath \
+    --enable-alsa --enable-null --enable-gstreamer --disable-oss \
+    --with-builtin=dso || return 1
   make || return 1
   make -j1 DESTDIR="${pkgdir}" install || return 1
   rm -f "${pkgdir}/usr/lib/libcanberra-gtk.la"
@@ -25,4 +29,7 @@
   
   install -m755 -d "${pkgdir}/usr/share/gconf" 
   mv "${pkgdir}/etc/gconf/schemas" "${pkgdir}/usr/share/gconf/"
+
+  install -m755 -d "${pkgdir}/etc/X11/xinit/xinitrc.d"
+  install -m755 "${srcdir}/libcanberra-gtk-module.sh" "${pkgdir}/etc/X11/xinit/xinitrc.d/40-libcanberra-gtk-module" || return 1
 }



More information about the arch-commits mailing list